<style type="text/css">
	.base-city { font-weight: bold }
</style>
<script type="text/javascript">
	var ajaxCities = function () {
		var c = $('country').getSelected()[0], ct = $('cities');

		ct.empty();
		$('selected').empty();
		//$('selected-hidden').empty();

		if ( $defined($('cityzones_wrp')) ) {
			$('cityzones_wrp').setStyle('display', 'none');
		}
		if ( $defined($('cityzones')) ) {
			$('cityzones').empty();
		}
		if ( $defined($('selected-z')) ) {
			$('selected-z').empty();
		}
		if ( $defined($('selected-hidden-z')) ) {
			$('selected-hidden-z').empty();
		}

		c.set('disabled', 'disabled');
		ct.set('disabled', 'disabled');
		new Request({
			url: '/<?= Cubix_I18n::getLang() ?>/geography/ajax-get-cities-grouped',
			data: { country_id: c.get('value') },
			onSuccess: function (html) {
				ct.set('html', html);
				c.set('disabled', null);
				ct.set('disabled', null);
			}
		}).send();
	}
</script>
<fieldset>
	<legend><?= __('pv2_section_working_locations') ?></legend>

	<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />

	<div class="body">
		<div class="inner">
			<label for="country"><?= __('pv2_label_country') ?></label>
			<select id="country" name="country_id" onchange="ajaxCities()" style="width: 150px;">
			<? foreach ( $this->countries as $country ): ?>
				<? if ($country->id == Cubix_Application::getById()->country_id): ?>
				<option value="<?= $country->id ?>"<?= $country->id == Cubix_Application::getById()->country_id ? ' selected="selected"' : '' ?>><?= $country->title ?>&nbsp;&nbsp;</option>
				<? endif; ?>
			<? endforeach ?>
			</select>
			<span class="tip" title="<?= __('pv2_tip_country', array('COUNTRY' => Cubix_Application::getById()->country_title)) ?>"></span>
			<div class="error old-err">*</div>
			<div class="clear"></div>
		</div>

		<table>
			<tr>
				<td>
					<select id="cities" multiple="multiple" style="width: 200px; background: none" size="10">
					<? foreach ( $this->cities as $city ): ?>
						<option value="<?= $city->id ?>"><?= $city->title ?></option>
					<? endforeach; ?>
					</select>
				</td>
				<td>
					<input type="button" value="&gt;&gt;" id="add-city" /><br/>
					<!--<input type="button" value="&lt;&lt;" id="remove-city" />-->
				</td>
				<?/*<td>
					<select id="selected" multiple="multiple" style="width: 200px; background: none; margin-left: 5px;" size="10">
						<? foreach( $this->cities as $city ): ?>
							<? $chk = false; foreach ( $this->data['cities'] as $_city ) { if ( $_city['city_id'] == $city->id ) { $chk = true; break; } } if ( ! $chk ) continue; ?>
							<option<?= $city->id == $this->data['city_id'] ? ' class="base-city"' : '' ?> value="<?= $city->id ?>"><?= $city->title ?></option>
						<? endforeach; ?>
					</select>
					<input type="hidden" name="city_id" value="<?= $this->data['city_id'] ?>" />
					<div id="selected-hidden" style="display: none">
					<? foreach ( $this->data['cities'] as $city ): ?>
						<input type="hidden" name="cities[]" value="<?= $city['city_id'] ?>" />
					<? endforeach ?>
					</div>
				</td>*/?>
				<td>
					<div id="locations" >
					<? foreach( $this->cities as $city ): ?>
						<? $chk = false; foreach ( $this->data['cities'] as $_city ) { if ( $_city['city_id'] == $city->id ) { $chk = true; break; } } if ( ! $chk ) continue; ?>
						<? $is_checked = ($city->id == $this->data['city_id']) ? true : false ?>
						<div class="location mb5">
							<div class="fleft m0">
								<a class="icon-remove<?= ( in_array($city->id, $this->premium_cities) ) ? '-disabled' : '' ?>"></a>
							</div>
							<label class="fleft <?= $is_checked ? 'base_city_selected' : ''?>">
								<span><?= $city->title ?> <?= ( in_array($city->id, $this->premium_cities) ) ? '(premium city)' : '' ?></span>
								<span class="bc_title"><?= $is_checked ? ' - ('.__('base_city').')' : '' ?></span>
								<input value="<?= $city->id ?>" name="city_id"  <?= $is_checked ?  'checked="checked"' : '' ?> class="base_city_id"  type="radio">
							</label><input value="<?= $city->id ?>" name="cities[]" type="hidden">
							<div class="clear"></div>
						</div>
					<? endforeach; ?>
					</div>
				</td>
			</tr>
		</table>

		<script type="text/javascript">
			showcityzones = 0;
			var loadCityzones = function() {
				var cities = $('locations').getElements('input[type=hidden]');
				var ajax_cities = '';
				if ( cities.length ) {
					cities.each(function(it){
						ajax_cities += ',' + it.get('value');
					});
				}

				new Request({
					url: '/<?= Cubix_I18n::getLang() ?>/private-v2/profile/get-cityzones?ajax_cities=' + ajax_cities,
					onSuccess: function (data) {
						data = JSON.decode(data);

						if ( ! data.length ) {

                            showcityzones = 0;
							$('cityzones_wrp').setStyle('display', 'none');
							if ( $defined($('selected-z')) ) {
								$('selected-z').empty();
							}
							if ( $defined($('selected-hidden-z')) ) {
								$('selected-hidden-z').empty();
							}

							return;
						}

						$('cityzones').empty();
						data.each(function(it){
							new Element('option', {
								value: it.id,
								html: '[' + it.city_title + ']' + ' ' + it.title
							}).inject($('cityzones'));
						});

						var selected_zones = $('selected-hidden-z').getElements('input');
						selected_zones.each(function(it){
							var found = false;

							data.each(function(all_z){
								if ( all_z.id == it.get('value') ) {
									found = true;
								}
							});

							if ( ! found ) {
								it.destroy();

								$('selected-z').getElement('option[value=' + it.get('value') + ']').destroy();
							}
						});

                        showcityzones = 1;

                        if(incallcheckbox == 1){
                            $('cityzones_wrp').setStyle('display', 'block');
                        }else{
                            if ( $defined($('selected-z')) ) {
                                $('selected-z').empty();
                            }
                            if ( $defined($('selected-hidden-z')) ) {
                                $('selected-hidden-z').empty();
                            }
                            $('cityzones_wrp').setStyle('display','none');

                        }

						//$('cityzones_wrp').setStyle('display', 'block');
					}
				}).send();
			};

			var max_cities = <?= Cubix_Application::getById()->max_working_cities ?>;
			var cities_remain = max_cities - <?= count($this->data['cities']) ?>;
			var initCityPicker = function () {
				var els = {
					add: $('add-city'),
					remove: $$('#locations .icon-remove'),//$('remove-city'),
					city_id: $$('input[name=city_id]')[0],
					cities: $('cities'),
					selected: $('selected')
					//hidden: $('selected-hidden')
				};
				//Artash added    //

				var initLocations = function () {

					var city_id = els.cities.get('value'),
						city_title = els.cities.getSelected().get('html');
					if ( ! city_id ) return;

					var found = false;
					$$('#locations input[type=hidden]').each(function (el) {
						var _city_id = el.get('value');
						if ( city_id == _city_id ) {
							found = true;
							el.set('value', city_id);
							el.getPrevious('label').getElement('span').set('html', city_title);
						}
					});

					//var selected_cities_count = $$('#locations div.location').length + 1;

					if ( ! found ) {
						var location = new Element('div', { 'class': 'location mb5' }).inject($('locations'));

						new Element('a', {
							'class': 'sbtn icon-remove'
						}).inject(new Element('div', {
							'class': 'fleft m0'
						}).inject(location)).addEvent('click', remove);

						var label = new Element('label', { 'class': 'fleft' }).inject(location);

						var span = new Element('span', {
							html: city_title
						}).inject(label);

						var span2 = new Element('span', {
							'class': 'bc_title',
							html: ''
						}).inject(span, 'after');

						new Element('input', {
							type: 'radio',
							'class': 'base_city_id',
							name: 'city_id',
							value: city_id
						}).inject(span2, 'after');

						new Element('input', {
							type: 'hidden',
							name: 'cities[]',
							value: city_id
						}).inject(location);

						new Element('div', { 'class': 'clear' }).inject(location);

					}

				};
				var initBaseCity = function () {
						var bc = $$('input[name=city_id]');
						if ( bc.length > 0 )
						{

							bc.addEvent('click', function () {
								bc.each(function(it) {
									it.getParent('label').removeClass('base_city_selected');
								});
								$$('.bc_title').each(function(it) {
									it.set('html', '');
								});

								this.getPrevious('span').set('html', ' - (<?=__('base_city')?>)');
								this.getParent('label').addClass('base_city_selected');
							});
						}
					};
				var clearBaseCity = function (){
						var bc = $$('input[name=city_id]');
						bc.removeEvents('click');
					};
				var remove = function () {
						if ( this.getParent('.location') )
						{
							this.getParent('.location').destroy();

							clearBaseCity();
							initBaseCity();
							updateRemainingCities();
							loadCityzones();
						}
					};
				var updateRemainingCities = function () {
					cities_remain = max_cities - $$('#locations div.location').length ;
					$('cities-remain').set('html', cities_remain);
				};
				els.remove.addEvent('click', remove);
				els.add.addEvent('click', function() {
					if ( cities_remain == 0 ) {
						alert('<?= __('pv2_cities_limit_exceeded') ?>');
						return;
					}

//                    selected-z

					var selected = els.cities.getSelected();//, in_list = false;

					if ( selected.length == 0 ) {
						return;
					}
					selected = selected[0];
					initLocations();
					clearBaseCity();
					initBaseCity();
					updateRemainingCities();
					loadCityzones();
					/*els.selected.getElements('option').each(function (it) {
						if ( it.get('value') == selected.get('value') ) {
							in_list = true;
						}
					});

					if ( in_list ) return;

					var base = false;

					if ( els.selected.getElements('option').length == 0 ) {
						base = true;
						els.city_id.set('value', selected.get('value'));
					}

					new Element('input', {
						type: 'hidden',
						name: 'cities[]',
						value: selected.get('value'),
						'class': 'hidden'
					}).inject(els.hidden);

					new Element('option', {
						'class': base ? 'base-city' : '',
						value: selected.get('value'),
						html: selected.get('html')
					}).inject(els.selected);

					updateRemainingCities();
					loadCityzones();*/
				});

				initBaseCity();
				/*els.remove.addEvent('click', function () {
					var selected = els.selected.getSelected();

					if ( ! selected.length ) {
						return;
					}

					selected = selected[0];

					els.hidden.getElements('input').each(function (it) {
						if ( it.get('value') == selected.get('value') ) {
							it.destroy();
						}
					});

					selected.destroy();
					updateRemainingCities();
					loadCityzones();
				});

				els.selected.addEvent('dblclick', function () {
					els.selected.getElements('option').each(function (it) {
						it.set('class', '');
					});
					this.getSelected().set('class', 'base-city');
					els.city_id.set('value', this.getSelected().get('value'));
				});*/
			};

			initCityPicker();
		</script>

		<p class="attention" style="margin: 5px 0 10px 0"><?= __('pv2_note_max_cities', array('CITIES_COUNT' => Cubix_Application::getById()->max_working_cities)) ?></p>
		<p style="margin: 0 0 10px 0" class="attention"><?= __('pv2_remaining_cities', array('count' => Cubix_Application::getById()->max_working_cities - count($this->data['cities']))) ?></p>


		<script type="text/javascript">

			var initCityzonePicker = function () {
				var els = {
					add: $('add-cityzone'),
					remove: $('remove-cityzone'),

					cities: $('cityzones'),
					selected: $('selected-z'),
					hidden: $('selected-hidden-z')
				};

				els.add.addEvent('click', function() {
					var selected = els.cities.getSelected(), in_list = false;

                    if($('onlyOneMessage')){
                        $('onlyOneMessage').destroy();
                    }

					if ( selected.length == 0 ) {
						return;
					}


                    if(els.selected.getElements('option').length > 0){
                         var onlyOneMessage = new Element('div', {id: 'onlyOneMessage', 'class': 'red'});//red
                         onlyOneMessage.appendText('Only 1 Cityzone can be added!');
                         onlyOneMessage.setStyle('color','#FF0000');
                         onlyOneMessage.inject($('cityzones_wrp'),'top');
                         return;
                    }

					selected = selected[0];

					els.selected.getElements('option').each(function (it) {
						if ( it.get('value') == selected.get('value') ) {
							in_list = true;
						}
					});

					if ( in_list ) return;

					var base = false;

					if ( els.selected.getElements('option').length == 0 ) {
						base = true;
						//els.city_id.set('value', selected.get('value'));
					}


					new Element('input', {
						type: 'hidden',
						name: 'cityzones[]',
						value: selected.get('value'),
						'class': 'hidden'
					}).inject(els.hidden);

					new Element('option', {
						'class': '',
						value: selected.get('value'),
						html: selected.get('html')
					}).inject(els.selected);
				});

				els.remove.addEvent('click', function () {
					var selected = els.selected.getSelected();

                    if($('onlyOneMessage')){
                        $('onlyOneMessage').destroy();
                    }

					if ( ! selected.length ) {
						return;
					}

					selected = selected[0];

					els.hidden.getElements('input').each(function (it) {
						if ( it.get('value') == selected.get('value') ) {
							it.destroy();
						}
					});

					selected.destroy();
				});
			};

			window.addEvent('domready', function(){
				initCityzonePicker();
			});

		</script>

		<div id="cityzones_wrp" <?= ( ! count($this->all_cityzones) || !$this->data['incall_type'] ) ? 'style="display: none;"' : '' ?>>
			<p style="margin: 5px 0 5px 0; font-weight: bold; font-size: 14px;">Select your cityzone</p>
			<table>
				<tr>
					<td>
						<select id="cityzones" multiple="multiple" style="width: 200px; background: none" size="5">
						<? foreach ( $this->all_cityzones as $ctz ): ?>
							<option value="<?= $ctz->id ?>">[<?= $ctz->city_title ?>] <?= $ctz->title ?></option>
						<? endforeach; ?>
						</select>
					</td>
					<td>
						<input type="button" value="&gt;&gt;" id="add-cityzone" /><br/>
						<input type="button" value="&lt;&lt;" id="remove-cityzone" />
					</td>
					<td>
						<select id="selected-z" multiple="multiple" style="width: 200px; background: none; margin-left: 5px; " size="5">
							<? foreach( $this->all_cityzones as $ctz ): ?>
								<? $chk = false; foreach ( $this->data['cityzones'] as $_zone ) { if ( $_zone['city_zone_id'] == $ctz->id ) { $chk = true; break; } } if ( ! $chk ) continue; ?>
								<option value="<?= $ctz->id ?>">[<?= $ctz->city_title ?>] <?= $ctz->title ?></option>
							<? endforeach; ?>
						</select>

						<div id="selected-hidden-z" style="display: none">
						<? foreach ( $this->data['cityzones'] as $zone ): ?>
							<? if ( $zone['city_zone_id'] != 0): ?>
							<input type="hidden" class="hidden" name="cityzones[]" value="<?= $zone['city_zone_id'] ?>" />
							<? endif; ?>
						<? endforeach ?>
						</div>
					</td>
				</tr>
			</table>

		</div>

	</div>
</fieldset>

<fieldset class="vindent">
	<legend><?= __('pv2_section_available_for') ?> <span class="tip" title="<?= __('pv2_tip_available_for') ?>"></span></legend>
	<div class="body">
		<div class="inner fleft" style="clear: none">
			<label class="option" for="incall"><input id="incall" type="checkbox" name="incall" value="1"<?= $this->data['incall_type'] ? ' checked="checked"' : '' ?> /> <span><?= __('pv2_label_incall') ?></span></label>
			<div style="float: left; margin-top: -18px">
				<label for="zip" style="font-weight: normal"><?= __('pv2_label_zip_code') ?></label><br/>
				<input id="zip" type="text" class="txt <?= $this->data['incall_type'] ? '' : ' disabled' ?>" name="zip" value="<?= $this->data['incall_type'] && $this->data['zip'] ? $this->data['zip'] : '' ?>" size="21"<?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
			</div>
			<div class="clear"></div>
			<dl class="options-vertical">
				<dt><label for="private-apartment"><input id="private-apartment" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_PRIVATE_APARTMENT ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_PRIVATE_APARTMENT ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_private_apartment') ?></span></label></dt>
				<dt><label for="hotel-room"><input id="hotel-room" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_HOTEL_ROOM ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_hotel_room') ?></span></label></dt>
				<dl class="options-vertical">
					<dt><label for="five-star"><input id="five-star" type="radio" name="incall_hotel_room" value="5"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 5 ? ' checked="checked"' : '' ?> /> <span><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></span></label></dt>
					<dt><label for="four-star"><input id="four-star" type="radio" name="incall_hotel_room" value="4"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 4 ? ' checked="checked"' : '' ?> /> <span><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></span></label></dt>
					<dt><label for="three-star"><input id="three-star" type="radio" name="incall_hotel_room" value="3"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 3 ? ' checked="checked"' : '' ?> /> <span><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></span></label></dt>
					<dt><label for="two-star"><input id="two-star" type="radio" name="incall_hotel_room" value="2"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 2 ? ' checked="checked"' : '' ?> /> <span><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></span></label></dt>
					<dt><label for="one-star"><input id="one-star" type="radio" name="incall_hotel_room" value="1"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 1 ? ' checked="checked"' : '' ?> /> <span><img src="<?= _st('_/icon_star.png') ?>" /></span></label></dt>
				</dl>
				<dt><label for="club-studio"><input id="club-studio" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_CLUB_STUDIO ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_CLUB_STUDIO ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_club_studio') ?></span></label></dt>
				<dt>
					<label for="incall-other"><input id="incall-other" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_OTHER ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_incall_other') ?></span></label>
					<input type="text" class="txt<?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? '' : ' disabled' ?>" name="incall_other" value="<?= $this->data['incall_other'] ?>" size="35"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? '' : ' disabled="disabled"' ?> />
				</dt>
			</dl>
		</div>

		<div class="inner fleft" style="clear: none; margin-left: 40px">
			<label class="option" for="outcall"><input id="outcall" type="checkbox" name="outcall" value="1"<?= $this->data['outcall_type'] ? ' checked="checked"' : '' ?> /> <span><?= __('pv2_label_outcall') ?></span></label>
			<div class="clear"></div>
			<dl class="options-vertical">
				<dt><label for="hotel-visits"><input id="hotel-visits" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOTEL_VISITS ?>"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOTEL_VISITS ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_hotel_visits_only') ?></span></label></dt>
				<dt><label for="home-visits"><input id="home-visits" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOME_VISITS ?>"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOME_VISITS ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_home_visits_only') ?></span></label></dt>
				<dt><label for="hotel-home"><input id="hotel-home" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS ?>"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_hotel_and_home_visits') ?></span></label></dt>
				<dt>
					<label for="outcall-other"><input id="outcall-other" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_OTHER ?>"<?= $this->data['outcall_type'] == AVAILABILITY_INCALL_OTHER ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_outcall_other') ?></span></label>
					<input type="text" class="txt<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_OTHER ? '' : ' disabled' ?>" name="outcall_other" value="<?= $this->data['outcall_other'] ?>" size="35"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_OTHER ? '' : ' disabled="disabled"' ?> />
				</dt>
			</dl>
		</div>
		<div class="clear"></div>
	</div>
</fieldset>

<script type="text/javascript">
    var incallcheckbox=0,outcallcheckbox = 0;
    <?php if($this->data['incall_type']){
        ?>
            incallcheckbox=1;
            <?php
    }
    ?>

	var handleIncall = function (el) {
		el.blur();
		var disable = el.get('checked') ? null : 'disabled';
        if(el.get('checked')){
            incallcheckbox = 1;
            loadCityzones();
        }else{
            incallcheckbox = 0;
            loadCityzones();
            if($('onlyOneMessage')){
                $('onlyOneMessage').destroy();
            }
        }

		$(el).getParent('.inner').getElements('input').each(function (it) {
			if ( it.get('id') == 'incall' ) return;
			it.set('disabled', disable);
			if ( disable ) it.addClass('disabled');
			else it.removeClass('disabled');
		});

		disable = $('hotel-room').get('checked') ? ($('incall').get('checked') ? null : 'disabled') : 'disabled';
		$('hotel-room').getParent('dt').getNext('dl').getElements('input').set('disabled', disable);

		disable = $('incall-other').get('checked') && el.get('checked') ? null : 'disabled';
		$('incall-other').getParent('label').getNext('input').set('disabled', disable)[(disable ? 'add' : 'remove') + 'Class']('disabled');
	};

	$('incall').getParent('.inner').getElements('input').each(function (el) {
		if ( ! ['checkbox', 'radio'].contains(el.get('type')) ) return;

		el.addEvent('change', handleIncall.pass($('incall')));
	});

	var handleOutcall = function (el) {
		el.blur();
		var disable = el.get('checked') ? null : 'disabled';

        if(el.get('checked')){
            outcallcheckbox = 1;
        }else{
            outcallcheckbox = 0;
        }
		$(el).getParent('.inner').getElements('input').each(function (it) {
			if ( it.get('id') == 'outcall' ) return;
			it.set('disabled', disable);
			if ( disable ) it.addClass('disabled');
			else it.removeClass('disabled');
		});

		disable = $('outcall-other').get('checked') && el.get('checked') ? null : 'disabled';
		$('outcall-other').getParent('label').getNext('input').set('disabled', disable)[(disable ? 'add' : 'remove') + 'Class']('disabled');
	};

	$('outcall').getParent('.inner').getElements('input').each(function (el) {
		if ( ! ['checkbox', 'radio'].contains(el.get('type')) ) return;

		el.addEvent('change', handleOutcall.pass($('outcall')));
	});
</script>
